FIINFO(1)

NAME
fiinfo - providing information or image stamps for images

SYNOPSIS
fiinfo [options] [-i <input>] <outputs>

DESCRIPTION
The main purpose of the `fiinfo` program is to give some information about the FITS files (primarily FITS images, but output dump is supported for tables and binary tables also).

OPTIONS

  General options:

-h, --help
    Gives general summary about the command line options.

--long-help, --help-long
    Gives a detailed list of command line options.

--wiki-help, --help-wiki, --mediawiki-help, --help-mediawiki
    Gives a detailed list of command line options in Mediawiki format.

--version, --version-short, --short-version
    Gives some version information about the program.

-i, --input <image file>
    Name of the input FITS image file.

--summary, --long-summary
    Give a summary about the content structure of the FITS file. Namely, the main characteristics and dimensions of the primary image, followed by the list of optional extensions and their main properties.

-s, --statistics <list of statistics>
    Calculate basic statistics for the image. See "Statistics options" below for available statistics methods. The statistics itself contains four numbers: the total number of pixels involved in the calculations, the final number of pixels used for the statistics (which might be smaller than the previous one if the outliers are rejected), an average value and a scatter.

-d, --data <list of derived image data>
    Calculate some other more quantities related to astronomical images. This option should be followed by a comma-separated list of quantities. See "Image characteristics" below for more details about these.

-b, --box <number of blocks>
    This option specifies the number of blocks, which is used to divide the input image. Some quantities (see "Image characteristics") can be derived on a per block basis either.

-a, --order <order>
    Order of polynomial spatial variations in some derived image characterization quantities (see also "Image characteristics").

-n, --newline
    In the output, each quantity should be written in separate lines. By default, the output is a single line, containing the desired quantities or statistics.

--ignore-mask
    Completely ignore the mask associated to the input image.

--output-dump <file>
    Name of an output file in which a raw image dump is written. Each line of this file contains 3 or 4 columns: X, Y coordinates and flux, optionally followed by the associated mask flag (see also "-m|--dump-mask").

-m, --dump-mask
    The raw image dump specified by "--output-dump" should contain the masking information beyond the coordinates and intensities.

--output-pnm, --output-ppm, --output-pgm
    Name of an output file in which the image is stored in a variant of PNM format. These images are intended to be a kind of "human visible" images, appropriately scaled for normal displays. These images are stored in PNM format, which is an easily parseable (thus raw, uncompressed) format, supported by many graphic programs (and by the NETPBM package). Such an image conversation always results data loss. See also options "--pgm" or "--ppm" for further details.

--pgm <PGM specific conversion options>
    This command line argument is followed by a comma-separated list of options, which specifies the scaling and other properties of the output image. The resulted image will be a grey-scale (PGM) image, even if a color palette is requested. See "PNM specifications" below.

--ppm <PPM specific conversion options>
    This command line argument is followed by a comma-separated list of options, which specifies the scaling and other properties of the output image. The resulted image will be a true-color (PPM) image, even if a greyscale colormap is requested. See also "PNM specifications" below for more details.

  Statistics options:

mean
    The mean value of the pixel intensities.

median
    The median value of the pixel intensities.

iterations
    Reject the outlier pixels before doing any statistics.

lower=<sigma>, upper=<sigma>, sigma=<sigma>
    Lower, upper or common rejection level, in the units of standard deviation (which is derived around the mean or median value, depending on the request of the user).

  Image characteristics:

min, max
    Minimal and maximal pixel intensities on the image.

mean
    Mean intensity level.

stddev
    Standard deviation.

sky Sky background level.

skysigma
    Sky background scatter.

  PNM specifications:

linear
    Use a linear intensity scaling.

log Use a logarithmic intensity scaling.

squared
    Use a squared intensity scaling.

sqrt
    Use a square root intensity scaling.

histequ
    Use a histogram equalized intensity scaling.

minmax
    Use the minimal and maximal pixel intensities for scaling boundaries.

percentage=<%>
    Use the minimal and maximal values of the innermost specified percent of the pixel intensities.

min=<min>, max=<max>
    Use the specified minimal and maximal values for scaling boundaries.

zscale
    Use the "zscale" algorithm to determine scaling boundaries.

zmax, zmin
    Use the "zmax" or "zmin" algorithm to determine scaling boundaries.

zcontrast=<zcontrast>
    Use the specified contrast value to determine the scaling boundaries in the case of "zscale", "zmax" or "zmin" methods. The default value is 0.25.

reverse
    Use an inverted color map.

contrast=<C>, brightness=<B>
    Use the specified values for adjusting the final contrast and brightness. The default values are 1 and 0.5, respectively, according to the standard image contrast and brightness level definitions.

8, 8bit
    Create an 8-bit PGM or PPM output. This is the default.

16, 16bit
    Create a 16-bit PGM or PPM output instead of the default 8-bit.

palette=<color1>:<color2>:<color3>:...
    Specify an alternate color map. Each color should be a hexadecimal representation of a given color, i.e. it should be in one of the forms of G, GG, GGGG, RGB, RRGGBB or RRRRGGGGBBBB, denoting 4 bit grey, 8 bit grey, 16 bit grey, 3x4 bit truecolor, 3x8 bit truecolor or 3x16 bit truecolor representation, respectively. The color map gradient will be continuous if the colors are separated by colons. Jumps in the gradient can be defined by separating the successive colors by a slash, "/" instead of colons.

Note that the syntax followed by the "--pgm" or "--ppm" command line arguments is exactly the same for both options. However, color images will be converted to greyscale if "--pgm" is specified, and vice versa, "--ppm" always yields a PPM format, even if the color gradient is merely a grayscale one. The default palette is 0:F for both PGM and PPM formats, i.e. a pure black - white gradient.

REPORTING BUGS
Report bugs to <apal@szofi.net>, see also https://fitsh.net/.

COPYRIGHT
Copyright © 1996, 2002, 2004-2008, 2010-2016, 2018-2020; Pal, Andras <apal@szofi.net>